var r = Object.defineProperty;
var i = (t, e) => r(t, "name", { value: e, configurable: !0 });
function s() {
  return {
    get(t) {
      return t.id in this ? this[t.id] : t.defaultValue;
    },
    set(t, e) {
      return this[t.id] = e, this;
    },
    delete(t) {
      return delete this[t.id], this;
    }
  };
}
i(s, "createContextValues");
export {
  s as createContextValues
};
